//////////////////////////////////////////
// RTWEditor.cpp
//Copyright (c) 08/30/2022 by ECCSkelton
//////////////////////////////////////////
#include	"RTWEditor.h"
#include	"User.h"
#include	"RTWEditorProc.h"

////////////////
// WinMain関数
////////////////
int WINAPI wWinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance,
					LPWSTR lpCmdLine, int nCmdShow) {

	//ファイルドロップによる起動（g_ByFileフラグを立てる）
	if(g_Arg.c() > 1)
		g_ByFile = TRUE;

	//ウィンドウ登録 − Init(ClassName, hInstance, "IDM_MAIN",
	//						（以下省略可）MAKEINTRESOURCE(IDI_ICON), IDC_ARROW, Brush)
	RTWEditor.Init(L"MainWnd", hInstance, L"MAIN_MENU", MAKEINTRESOURCE(IDI_ICON));

	//ウィンドウ作成と表示−Create(WindowTitle, (以下省略可）Style,
	//						ExStyle, hParent, hMenu, x, y, w, h)
	if(!RTWEditor.Create(L"RTWEditor"))
		return 0L;

	//アクセラレーター登録−InclAccel("(Accelerator ID)")
	RTWEditor.InclAccel(L"IDA_ACCEL");

	//メッセージループに入る
	return RTWEditor.Loop();
}
